Bug 195936 - No warning that syncing with newly-configured NTP server has failed
No warning that syncing with newly-configured NTP server has failed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 15:25 EDT by Zack Cerza
Modified: 2009-01-09 01:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:57:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2006-06-19 15:25:17 EDT
Description of problem:
I just did a fresh install of FC5 on an Asus W3H00V laptop. During firstboot (I
reproduced this after firstboot, also), I enabled NTP. The normal "syncing with
NTP server" dialog popped up, then went away, again like normal. But when I
logged in for the first time, the time was way off. I then found out that I had
no network connection - I still haven't debugged that - but now I understand why
NTP wasn't working.

Version-Release number of selected component (if applicable):
system-config-date-1.8.2-1

How reproducible:
Always

Steps to Reproduce:
1. Don't have a network connection :)
2. Enable NTP
3. Wait till the syncing seems to succeed in s-c-date
  
Actual results:
The syncing seems to succeed

Expected results:
A notification of failure is shown
Comment 1 Julian Sikorski 2007-03-01 19:07:23 EST
Seconded. A dialog informing of a successful sync would be a logical follow-up.
Comment 2 Nils Philippsen 2007-10-09 11:38:35 EDT
The problem is that /etc/init.d/ntp doesn't indicate that there's been an error
while syncing with the NTP servers, so system-config-date has no chance to do
the right thing here.
Comment 3 Miroslav Lichvar 2007-10-10 10:48:46 EDT
The initscript just returns success for starting the daemon, nothing about
syncing with ntp servers. I'd suggest to replace "Contacting NTP server" with
"Starting NTP service".
Comment 4 Nils Philippsen 2007-10-11 12:26:17 EDT
My idea is to check reachability of NTP servers when starting the NTP daemon.
Unfortunately this would require some quite visible string changes, so I have to
postpone this until after F8 is out.
Comment 5 Bug Zapper 2008-04-03 13:29:28 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-11-26 01:59:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 01:57:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.